Skip to main content
GET
/
v6
/
employees
/
{id}
Get employee
curl --request GET \
  --url https://sandbox.tight.com/v6/employees/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://sandbox.tight.com/v6/employees/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://sandbox.tight.com/v6/employees/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "emp_12345",
    "userId": "usr_67890",
    "email": "employee@example.com",
    "firstName": "John",
    "lastName": "Doe",
    "billableRate": 150,
    "ownershipPercentage": 25.5,
    "dimensionValues": [
      {
        "id": "dv_593051",
        "dimension": {
          "id": "dim_4521",
          "name": "Region",
          "requiredness": "NOT_REQUIRED"
        },
        "name": "Mid-Atlantic",
        "child": {
          "id": "dv_593052",
          "dimension": {
            "id": "dim_4521",
            "name": "Region",
            "requiredness": "NOT_REQUIRED"
          },
          "name": "Washington DC",
          "child": "<unknown>"
        }
      }
    ],
    "status": "ACTIVE",
    "customData": {
      "internal_key": "some_internal_key",
      "some_other_field": 23434
    }
  }
}
{
"result": "FAILURE",
"error": [
{
"type": "REQUIRED",
"message": "Amount is required",
"param": "amount"
}
]
}
{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}
{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}
{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}
{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, see Authentication for more detail.

Path Parameters

id
string
required

The id of the employee

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object

The data generated by the action performed.